petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscGaussLobattoLegendreCreateType

algorithm used to compute the Gauss-Lobatto-Legendre nodes and weights

### Synopsis

    typedef enum {PETSCGAUSSLOBATTOLEGENDRE_VIA_LINEAR_ALGEBRA,PETSCGAUSSLOBATTOLEGENDRE_VIA_NEWTON} PetscGaussLobattoLegendreCreateType;

     PETSCGAUSSLOBATTOLEGENDRE_VIA_LINEAR_ALGEBRA - compute the nodes via linear algebra

     PETSCGAUSSLOBATTOLEGENDRE_VIA_NEWTON - compute the nodes by solving a nonlinear equation with Newton's method

### Level

intermediate

### Location

src/dm/dt/fe/../../../../include/petscdt.h

### Examples

src/ksp/ksp/examples/tutorials/ex68.c.html
src/ksp/ksp/examples/tutorials/ex69.c.html
src/ts/examples/tutorials/ex50.c.html
src/tao/unconstrained/examples/tutorials/spectraladjointassimilation.c.html
Index of all FE routines
Table of Contents for all manual pages
Index of all manual pages